.hidden {
    visibility: hidden;
    display: none;
}

.control-group {
  margin: 0.5em 0;
}


joomla-dialog dialog {
  border: 1px solid var(--border-color-translucent);
  border-radius: .3rem;
  width: 96vw;
  max-width: 1700px;
  height: 96vh;
  padding: 0;
  box-shadow: 0 .5rem 1rem #00000026;
}

@media (width >= 1400px) {
  joomla-dialog dialog {
    width: 80vw;
    height: 80vh;
  }
}

joomla-dialog dialog[open] {
  display: flex;
}

joomla-dialog[type="image"] dialog {
  width: fit-content;
  height: fit-content;
}

joomla-dialog[type="iframe"] dialog {
  overflow: hidden;
}

joomla-dialog iframe.iframe-content {
  width: 100%;
  height: 100%;
}

joomla-dialog[type="iframe"].loading dialog:after, joomla-dialog[type="ajax"].loading dialog:after {
  content: "";
  background: url("../../../../system/images/joomla-loader.svg?v=6dc97a") center / 66px 66px no-repeat;
  width: 66px;
  height: 66px;
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

joomla-dialog dialog[open] {
  animation: .4s dialog-show;
}

@media (prefers-reduced-motion: reduce) {
  joomla-dialog dialog[open] {
    animation: none;
  }
}

@keyframes dialog-show {
  0% {
    opacity: 0;
    transform: translateY(-50px);
  }

  30% {
    opacity: 1;
  }

  100% {
    transform: translateY(0);
  }
}

.joomla-dialog-container {
  box-sizing: border-box;
  flex-flow: column;
  width: 100%;
  display: flex;
  position: relative;
}

.joomla-dialog-container .buttons-holder {
  justify-content: flex-end;
  align-items: center;
  margin-inline-start: auto;
  display: flex;
}

.joomla-dialog-container .buttons-holder button {
  margin-inline: .375rem;
}

joomla-dialog header{
  background: var(--bg-alt);
  color: var(--text);
}

joomla-dialog.joomla-dialog-confirm footer{
  background: var(--primary);
  color: var(--text-light);
}

joomla-dialog section{
  background: var(--bg-alt);
  color: var(--text);
}

.joomla-dialog-header {
  border-bottom: 1px solid var(--border-color);
  justify-content: space-between;
  align-items: center;
  padding: 1rem;
  display: flex;
  position: relative;
}

.joomla-dialog-header h3, .joomla-dialog-header .h3 {
  margin: 0;
}

.joomla-dialog-header .header-icon {
  margin-inline-end: .375rem;
  font-size: 1.75rem;
}

.joomla-dialog-header.empty {
  display: none;
}

.joomla-dialog-body {
  box-sizing: border-box;
  flex: auto;
  position: relative;
}

.joomla-dialog-body .buttons-holder {
  position: absolute;
  top: 1rem;
  right: 1rem;
}

.joomla-dialog-body joomla-dialog[type="inline"], joomla-dialog[type="ajax"] .joomla-dialog-body {
  overflow: auto;
}

joomla-dialog.loading .joomla-dialog-body {
  opacity: 0;
}

joomla-dialog.loaded .joomla-dialog-body {
  opacity: 1;
  transition: opacity .4s;
}

.joomla-dialog-footer {
  border-top: 1px solid var(--border-color);
  padding: 1rem;
  position: relative;
}

.joomla-dialog-footer .buttons-holder button {
  padding-inline: 22px;
}

.joomla-dialog-footer.empty {
  display: none;
}

.joomla-dialog-alert dialog, .joomla-dialog-confirm dialog {
  width: 600px;
  max-width: 80vw;
  height: fit-content;
}

.joomla-dialog-alert .joomla-dialog-body, .joomla-dialog-confirm .joomla-dialog-body {
  padding: 1rem;
}

@media (width >= 1400px) {
  .joomla-dialog-content-select-field dialog {
    width: 90vw;
    height: 90vh;
  }
}

div.login {
    max-width: 450px;
    margin: 4rem auto;
    padding: 2rem;
    background: var(--bs-body-bg);
    border-radius: 0.5rem;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
}